summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Heinz Wiesinger <pprkut@liwjatan.at>2010-05-13 00:34:23 +0200
committer Erik Hanson <erik@slackbuilds.org>2010-05-13 00:34:23 +0200
commit7d23ee9853fd2acbee9dece5e3d6f01f9539737e (patch)
tree4508c054b89e5e198b3a5425a6334c2d765db892
parent43b676f27c3e5ee16cdd8f2e2a32cdd9a1eedf61 (diff)
downloadslackbuilds-7d23ee9853fd2acbee9dece5e3d6f01f9539737e.tar.gz
slackbuilds-7d23ee9853fd2acbee9dece5e3d6f01f9539737e.tar.xz
misc/krename: Updated for version 4.0.3
-rw-r--r--misc/krename/README11
-rw-r--r--misc/krename/doinst.sh6
-rw-r--r--misc/krename/krename.SlackBuild29
-rw-r--r--misc/krename/krename.info14
-rw-r--r--misc/krename/slack-desc25
5 files changed, 50 insertions, 35 deletions
diff --git a/misc/krename/README b/misc/krename/README
index 89d66fe9ab..3b6d0fb39e 100644
--- a/misc/krename/README
+++ b/misc/krename/README
@@ -1,8 +1,7 @@
-KRename is a powerful batch renamer for KDE3.
+KRename is a powerful batch renamer for KDE.
-It allows you to easily rename hundreds or even more files in
-one go. The filenames can be created by parts of the original
-filename, numbering the files or accessing hundreds of
-informations about the file, like creation date or Exif
+It allows you to easily rename hundreds or even more files in
+one go. The filenames can be created by parts of the original
+filename, numbering the files or accessing hundreds of
+informations about the file, like creation date or Exif
informations of an image.
-
diff --git a/misc/krename/doinst.sh b/misc/krename/doinst.sh
index eec7ae1d81..30eb690936 100644
--- a/misc/krename/doinst.sh
+++ b/misc/krename/doinst.sh
@@ -1,4 +1,6 @@
-if [ -x usr/bin/update-desktop-database ]; then
- usr/bin/update-desktop-database usr/share/applications >/dev/null 2>&1
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
fi
diff --git a/misc/krename/krename.SlackBuild b/misc/krename/krename.SlackBuild
index a9b06bde5a..2b1b201a5c 100644
--- a/misc/krename/krename.SlackBuild
+++ b/misc/krename/krename.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for krename
-# Copyright 2008 Heinz Wiesinger <hmwiesinger@gmx.at>
+# Copyright 2008-2010 Heinz Wiesinger, Amsterdam, The Netherlands
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -25,7 +25,7 @@
# Modified by the slackbuilds.org project.
PRGNAM=krename
-VERSION=3.0.14
+VERSION=4.0.3
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -37,8 +37,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
@@ -52,20 +57,20 @@ cd $PRGNAM-$VERSION
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
-KDEPREF=$(kde-config --prefix) || true
+KDEPREF=$(kde4-config --prefix) || true
-CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS" \
-./configure \
- --prefix=$KDEPREF \
- --sysconfdir=/etc/kde \
- --localstatedir=/var
+cmake \
+ -DCMAKE_C_FLAGS="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX="$KDEPREF" \
+ -DLIB_SUFFIX="$LIBDIRSUFFIX" \
+ .
make
-make install-strip DESTDIR=$PKG
+make install DESTDIR=$PKG
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS ChangeLog COPYING INSTALL README TODO \
+cp -a AUTHORS COPYING INSTALL README TODO \
$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
@@ -74,4 +79,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/misc/krename/krename.info b/misc/krename/krename.info
index 14c12d36bb..78be00bcca 100644
--- a/misc/krename/krename.info
+++ b/misc/krename/krename.info
@@ -1,8 +1,10 @@
PRGNAM="krename"
-VERSION="3.0.14"
+VERSION="4.0.3"
HOMEPAGE="http://www.krename.net"
-DOWNLOAD="http://downloads.sourceforge.net/krename/krename-3.0.14.tar.bz2"
-MD5SUM="1f5fe57384d912c11fbd0fae94bb7fca"
-MAINTAINER="ppr:kut"
-EMAIL="HMWiesinger@gmx.at"
-APPROVED="Michiel"
+DOWNLOAD="http://downloads.sourceforge.net/krename/krename-4.0.3.tar.bz2"
+MD5SUM="a8e2a4f8bb28187ef126658b35478575"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Heinz Wiesinger"
+EMAIL="pprkut@liwjatan.at"
+APPROVED="Erik Hanson"
diff --git a/misc/krename/slack-desc b/misc/krename/slack-desc
index 4ef6dc0291..bac7269a64 100644
--- a/misc/krename/slack-desc
+++ b/misc/krename/slack-desc
@@ -1,12 +1,19 @@
- |-----handy-ruler----------------------------------------------|
-krename: krename (a powerful batch renamer for KDE3)
-krename:
-krename: It allows you to easily rename hundreds or even more files in
-krename: one go. The filenames can be created by parts of the original
-krename: filename, numbering the files or accessing hundreds of
-krename: informations about the file, like creation date or Exif
-krename: informations of an image.
-krename:
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
+krename: krename (a powerful batch renamer for KDE)
+krename:
+krename: It allows you to easily rename hundreds or even more files in one go.
+krename: The filenames can be created by parts of the original filename,
+krename: numbering the files or accessing hundreds of informations about the
+krename: file, like creation date or Exif informations of an image.
+krename:
krename: Homepage: http://www.krename.net
krename:
krename:
+krename: